function h=cube
% basic cube, fill3

r(1,:)=[1 1 1];
C4=[0 1 0; -1 0 0; 0 0 1];
for n=2:4, r(n,:)=r(n-1,:)*C4; end;
C3=[0 1 0; 0 0 1; 1 0 0];
for k=2:3, for n=1:4,
    r(n,:,k)=r(n,:,k-1)*C3;
end; end;
r(:,:,4:6)=-r(:,:,1:3);
h=fill3(squeeze(r(:,1,:)),squeeze(r(:,2,:)),...
    squeeze(r(:,3,:)),squeeze(r(:,3,:)));
axis equal, axis off;
colormap gray;
set(h,'FaceAlpha',0.7,'LineW',2);
set(gcf,'Position',[100 50 620 600]);
set(gca,'Position',[0.01 0.01 0.98 0.98]);
view(60,15);
