function h=elens
% 'long' magnetic lens for electrons 

L=0.2; 
dL=0.2;
La=0.04;
h=[];
for the=0:90:270
    for phi=[0 4 8 12 25 35]
        [t,u]=elpath(pi*phi/180,pi*the/180);
        if (mod(the,270)>0) u(:,3)=u(:,3)+L; end;
        hp=plot3(u(:,1),u(:,2),u(:,3),'Color','k');
        hold on;
        h=[h;hp];
        if (phi>20) set(hp,'LineWidth',1); end;
    end;
end;
za=[0 L L-La L-La L];
ya=[0 0 -La/2 La/2 0];
xa=zeros(size(za));
ha=plot3(xa,ya,za,xa+1,ya,za);
h=[h;ha];
set(ha,'Color',0.6*[1 1 1],'LineWidth',3);
set(gca,'XTick',[],'YTick',[],'ZTick',[]);
hold off;
axis equal;
box on;
axis([0 1 -dL dL -dL L+dL]);
view(-30,20);
