function F=chainmov(n, m)
% make movie using chain(n,m,phi)
%   n chain atoms, eigenmode m, 
%   n>0 for acoustic, n<0 for optic mode
%   m>0 for longitudinal, m<0 for transverse

if nargin<2, m=-2; end;
if nargin<1, n=16; end;

for k=1:40
    chain(n,m,k*pi/20);
    F(k)=getframe;
end;

if nargout==0,
    movie2avi(F,'chain.avi','quality',100);
end;