function cube
% resistor cube

e=1.5;
r0=0.25;
u=2;
x(1,:)=u*[1 1 1];
C4=[1 0 0; 0 0 1; 0 -1 0]; % rotation
for i=2:4,
    x(i,:)=x(i-1,:)*C4;
end;
x(5:8,:)=-x(1:4,:);        % inversion
for i=1:7,
    for k=(i+1):8,
        d=x(i,:)-x(k,:);
        if (sqrt(dot(d,d))<(2*u+0.1))
            spring(x(i,:),x(k,:),e,r0);
            hold on;
        end;
    end;
end;
axis equal, axis off;
