function zz=golftex
% a golfball-like texture

d=150;
cutoff=0.7;
zrange=30;
[x,y]=meshgrid(-2*d:2*d,-d:d);
ky=0.1;
kx=ky/d*sqrt(d*d-y.*y);
z=1-(sin(ky.*y-kx.*x)).^2.*(sin(ky.*y+kx.*x)).^2-cutoff;
z=z.*(z<0);
z=zrange/cutoff*z+64;
if nargout==0,
    image(z); 
    colormap gray;
    axis equal, axis off;
else
    zz=z;
end;