function h=lights(as)
% different refectance properties

if nargin<1, as=0.3; end;

[x,y,z]=Sphere(50);
for i=0:2
  for k=0:2
    index=k+3*i+1;
    h(index)=surf(x+3*i,y,z+3*k);
    hold on;
    set(h(index),'DiffuseStrength',0.3*i,'SpecularStrength',0.4*k);
  end;
end;
set(h,'AmbientStrength',as,'EdgeColor','none','FaceColor',0.8*[1 1 1]);
light('Position',[1 -1 1]); lighting gouraud;
axis equal; axis off;
hold off;

camtarget([3 0 3]);
campos([3 -50 3]);
camva(9.5);
set(gcf,'Position',[100 50 600 600]);
set(gca,'Position',[0 0 1 1]);
set(gcf,'color','w');
