function hc=pxfun
% p_x function, slice and contourslice

xv = linspace(-2.5,2.5,35);
yv = linspace(-1.5,1.5,24);
[x,y,z] = meshgrid(xv,yv,yv);
v = x.*x.*exp(-x.*x-y.*y-z.*z);
hs  =slice(x,y,z,v,[1.15],[1.5],[-1.5]);
hold on;
[xp,yp] = meshgrid(xv,yv,yv);
zp = 0.6*yp;
hp = slice(x,y,z,v,xp,yp,zp);
hc = contourslice(x,y,z,v,linspace(-2,0,15),[],[],[0.15 0.15]);
set (hc,'EdgeColor',0.3*[1 1 1],'LineW',2);
colormap(flipud(colormap(gray)));
hold off;
axis equal, axis off;
view(-50,15);
set(gcf,'Position',[100 50 750 600]);
set(gca,'Position',[0.01 0 0.99 1]);
